KyPanelDocs

API reference

Branding

Logo, colors and names shown on the panels, per server and per reseller.

Public branding (logo, colors) of the sign-in pages

GET/api/v1/branding

Who
public
API tokens
not needed
Operation
publicBranding · ky call publicBranding

Parameters

NameIn
surfacequery

Responses

  • 200 OK
    Body
    FieldType
    colors alwaysBrandingColors
    custom alwaysboolean
    favicon_url alwaysstring
    links alwaysarray of BrandingLink
    logo_dark_svg alwaysstring
    logo_svg alwaysstring
    product_name alwaysstring
    public_contact alwaysBrandingContact
    updated_at alwaysinteger
  • 500 Internal Server Error: internal

Favicon

GET/api/v1/branding/favicon

Who
public
API tokens
not needed
Operation
brandingFavicon · ky call brandingFavicon

Parameters

NameIn
surfacequery
vquery

Responses

  • 302 Redirect
  • 500 Internal Server Error: internal

Reset the server's branding

DELETE/api/v1/server/branding

Who
root
API tokens
admin token area: server
Operation
deleteBranding · ky call deleteBranding

Responses

  • 200 OK
  • 401 Unauthorized: no session, or an invalid or expired token
  • 403 Forbidden: the caller can't use this (privileges, token scope, feature turned off)
  • 500 Internal Server Error: internal

Get the server's branding

GET/api/v1/server/branding

Who
root
API tokens
admin token area: server
Operation
getBranding · ky call getBranding

Responses

  • 200 OK
    Body
    FieldType
    colorsBrandingColors
    customboolean
    defaults alwaysobject
    FieldType
    colors alwaysBrandingColors
    product_name alwaysstring
    favicon alwaysstring
    favicon_urlstring
    linksarray of BrandingLink
    logo_dark_svgstring
    logo_svgstring
    product_namestring
    public_contactBrandingContact
    scope alwaysstring
    updated_atinteger
  • 401 Unauthorized: no session, or an invalid or expired token
  • 403 Forbidden: the caller can't use this (privileges, token scope, feature turned off)
  • 500 Internal Server Error: internal

Save the server's branding

PUT/api/v1/server/branding

Who
root
API tokens
admin token area: server
Operation
putBranding · ky call putBranding

Request body

FieldType
colorsBrandingColors
faviconstring
linksarray of BrandingLink
logo_dark_svgstring
logo_svgstring
product_namestring
public_contactBrandingContact

Responses

  • 200 OK
  • 400 Bad Request: validation
  • 401 Unauthorized: no session, or an invalid or expired token
  • 403 Forbidden: the caller can't use this (privileges, token scope, feature turned off)
  • 500 Internal Server Error: internal